#ifndef __HTTPActionList_h__
#define __HTTPActionList_h__

//#include "HTTPParameters.h"
//#include "HTTPPage.h"
//#include "FlowAction.h"
#include "ZString.h"
#include <map>

namespace http {

   class HTTPParameters;
   class FlowAction;

   class HTTPActionList {

    public:
      HTTPActionList() {}

      bool processRequest(HTTPParameters &p);

      coreutils::ZString addAction(FlowAction *action);

//      void removeAction(HTTPPage &page);

      void matchUri(coreutils::ZString &comparator, coreutils::ZString &uri);

    protected:
      std::map<coreutils::ZString, FlowAction *> actions;

   };

}

#endif
